
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Python getopt模块处理命令行选项实例_python / iVAN</title>

    <meta name="description" content="Python getopt模块处理命令行选项实例_python getopt模块用于抽出命令行选项和参数,也就是sys.argv命令行选项使得程序的参数更加灵活.支持短选项模式和长选项模式例如  python scriptname.py -f 'hello' --directory-prefix=/home -t --format 'a' 'b' 复制代码 代码如下: import getopt, sysshortargs = 'f:t'longargs = ['directory-prefix=', 'format']opts, args = getopt">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Python getopt模块处理命令行选项实例_python</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>getopt模块用于抽出命令行选项和参数，也就是sys.argv<br />命令行选项使得程序的参数更加灵活。支持短选项模式和长选项模式<br />例如  python scriptname.py -f 'hello' --directory-prefix=/home -t --format 'a' 'b'</p>
<p><u>复制代码</u> 代码如下:</p>
<p>import getopt, sys<br />shortargs = 'f:t'<br />longargs = ['directory-prefix=', 'format']<br />opts, args = getopt.getopt( sys.argv[1:], shortargs, longargs )</p>
<p>getopt.getopt ( [命令行参数列表], '短选项', [长选项列表] )<br />
<br />短选项名后的冒号 : 表示该选项必须有附加的参数<br />长选项名后的等号 = 表示该选项必须有附加的参数</p>
<p>返回 opts 和 args<br />opts 是一个参数选项及其value的元组 ( ( '-f', 'hello'), ( '-t', '' ), ( '--format', '' ), ( '--directory-prefix', '/home' ) )<br />args 是一个除去有用参数外其他的命令行输入 ( 'a', 'b' )  </p>
<p><u>复制代码</u> 代码如下:</p>
<p># 然后遍历 opts 便可以获取所有的命令行选项及其对应参数了<br />for opt, val in opts:<br />    if opt in ( '-f', '--format' ):<br />        pass<br />    if ....</p>
<p>使用字典接受命令行的输入，然后再传送字典，可以使得命令行参数的接口更加健壮<br />
<br /># 两个来自 python2.5 Documentation 的例子</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt;&gt;&gt; import getopt, sys<br />&gt;&gt;&gt; arg = '-a -b -c foo -d bar a1 a2'<br />&gt;&gt;&gt; optlist, args = getopt.getopt( sys.argv[1:], 'abc:d:' )<br />&gt;&gt;&gt; optlist<br />[('-a', ''), ('-b', ''), ('-c', 'foo'), ('-d', 'bar')]<br />&gt;&gt;&gt; args<br />['a1', 'a2']<br />
<br />&gt;&gt;&gt; arg = '--condition=foo --testing --output-file abc.def -x a1 a2'<br />&gt;&gt;&gt; optlist, args = getopt.getopt( sys.argv[1:], 'x', ['condition=', 'output-file=', 'testing'] )<br />&gt;&gt;&gt; optlist<br />[ ('--condition', 'foo'), ('--testing', ''), ('--output-file', 'abc.def'), ('-x','') ]<br />&gt;&gt;&gt; args<br />['a1', 'a2']</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 19:50:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/getopt%e6%a8%a1%e5%9d%97/" title="getopt模块">getopt模块</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Python getopt模块处理命令行选项实例_python的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Wq46b.html" rel="bookmark">Python MySQLdb模块连接操作mysql数据库实例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql是一个优秀的开源数据库,它现在的应用非常的广泛,因此很有必要简单的介绍一下用python操作mysql数据库的方法.python操作数据库需要安装一个第三方的模块,在http://mysql-python.sourceforge.net/有下载和文档. 由于python的数据库模块有专门的数据库模块的规范,所以,其实不管使用哪种数据库的方法都大同小异的,这里就给出一段示范的代码: #-*- encoding: gb2312 -*- import os, sys, string impo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkmqo1b.html" rel="bookmark">Python HTMLParser模块解析html获取url实例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HTMLParser是python用来解析html的模块.它可以分析出html里面的标签.数据等等,是一种处理html的简便途径.HTMLParser采用的是一种事件驱动的模式,当HTMLParser找到一个特定的标记时,它会去调用一个用户定义的函数,以此来通知程序处理.它主要的用户回调函数的命名都是以handler_开头的,都是HTMLParser的成员函数.当我们使用时,就从HTMLParser派生出新的类,然后重新定义这几个以handler_开头的函数即可.这几个函数包括: handle_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmd7q1M.html" rel="bookmark">Oracle 为标准化 JDK 中命令行选项作准备</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle公司Java SE语言工具团队领导Jonathan Gibbons创造了JEP 293,以引进一套JDK工具中的命令行选项准则来修复现有的它们之间存在的差异.JEP目前还没有目标版本,所以最快将会和Java 10一起交付.然而,考虑到它仅仅是为新的选项创造一套准则,而不是修改现有的选项,所以可能需要一段时间才能感受到它的效果. 正如在JEP中所述,JDK中不同的工具的命令行选项格式都不对齐.比如说,短的选项有时候只有一个字母(比如-p表示一个模块),但有时候又超过 一个字母(比如说现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MynEJEp.html" rel="bookmark">Oracle为标准化JDK中命令行选项作准备</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle公司Java SE语言工具团队领导Jonathan Gibbons创造了JEP 293,以引进一套JDK工具中的命令行选项准则来修复现有的它们之间存在的差异.JEP目前还没有目标版本,所以最快将会和Java 10一起交付.然而,考虑到它仅仅是为新的选项创造一套准则,而不是修改现有的选项,所以可能需要一段时间才能感受到它的效果. 正如在JEP中所述,JDK中不同的工具的命令行选项格式都不对齐.比如说,短的选项有时候只有一个字母(比如-p表示一个模块),但有时候又超过一个字母(比如说现有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7WgR5z.html" rel="bookmark">linux shell命令行选项与参数用法详解&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述:在linux shell中如何处理tail -n 10 access.log这样的命令行选项?在bash中,可以用以下三种方式来处理命令行参数,每种方式都有自己的应用场景.1,直接处理,依次对$1,$2,...,$n进行解析,分别手工处理:2,getopts来处理,单个字符选项的情况(如:-n 10 -f file.txt等选项):3,getopt,可以处理单个字符选项,也可以处理长选项long-option(如:--prefix=/home等).总结:小脚本手工处理即可,getopt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7aGwp.html" rel="bookmark">JBoss中启动命令行选项问题run&period;sh</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 JBoss中启动命令行选项问题run.sh 大神们: 今天遇到一个问题,我有一个run.conf的文件,多个应用app共享它其中的JAVA_OPTS即JVM运行参数,但是现在要将其中某些应用去掉其中的一条JAVA_OPTS条目. #JAVA_OPTS=$JAVA_OPTS -javaagent:&quot;&quot;/newrelic/newrelic.jar&quot;&quot; 该条目应该算是一个java agent的插件 但是这样有个问题:所有的应用都无法加载该jar包了.我尝试在应用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWlwqXp.html" rel="bookmark">不常见但是很有用的 gcc 命令行选项（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				软件工具通常情况下会提供多个功能以供选择,但是如你所知的,不是所有的功能都能被每个人用到的.公正地讲,这并不是设计上的错误,因为每个用户都会有自己的需求,他们只在他们的领域内使用该工具.然而,深入了解你所使用的工具也是很有益处的,因为你永远不知道它的某个功能会在什么时候派上用场,从而节省下你宝贵的时间. 举一个例子:编译器.一个优秀的编程语言编译器总是会提供极多的选项,但是用户一般只知道和使用其中很有限的一部分功能.更具体点来说,比如你是 C 语言开发人员,并将 Linux 作为你的开发平台,那			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkXGBp.html" rel="bookmark">Oscdimg 命令行选项使用&lowbar;DOS&sol;BAT</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oscdimg 命令行选项 更新时间: 2009年5月 应用到: Windows 7 Oscdimg 是一个命令行工具,用于创建自定义的 32 位或 64 位版本的 Windows(R) PE 映像文件 (.iso).然后可以将该 .iso 文件刻录到 CD-ROM 或 DVD-ROM.Oscdimg 支持 ISO 9660.Joliet 和通用磁盘格式 (UFD) 文件系统. 备注 若要创建可启动 CD-ROM,必须使用 CD 刻录软件,该软件可以解包 .iso 文件,并将其刻录到 CD-RO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmZYmz.html" rel="bookmark">不常见但是很有用的gcc命令行选项（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				gcc 编译器提供了几乎数不清的命令行选项列表.当然,没有人会使用过或者精通它所有的命令行选项,但是有一些命令行选项是每一个 gcc 用户都应该知道的 - 即使不是必须知道.它们中有一些很常用,其他一些不太常用,但不常用并不意味着它们的用处没前者大. 在这个系列的文章中,我们集中于一些不常用但是很有用的 gcc 命令行选项,在第一节已经讲到几个这样的命令行选项. 不知道你是否能够回想起,在这个系列教程的第一部分的开始,我简要的提到了开发者们通常用来生成警告的 -Wall 选项,并不包括一些特殊的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6aqgb.html" rel="bookmark" class="title">菜鸟学ADO实例教程之ADO 更新记录</a>
					<div>
						ado|教程 本站原创内容,转载请注明出处网页教学网. 我们可以使用SQL UPDATE 命令来更新数据库中的记录. 我们想更新数据库webjx中的一个表Customers中的一个记录,首先我们把表C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZZYwz.html" rel="bookmark" class="title">自己打造动画广告 用Fireworks泛起水波涟漪</a>
					<div>
						广告 我们在网上经常可以看到一些泛着水波涟漪的动画广告,效果非常的逼真.其实这只是巧妙地利用了动画软件中的遮照效果而制作出来的.在Fireworks里通过蒙版效果和对每帧的播放时间进行巧妙的调整后,也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyYalM.html" rel="bookmark" class="title">如何有效的使用C&num;读取文件</a>
					<div>
						你平时是怎么读取文件的?使用流读取.是的没错,C#给我们提供了非常强大的类库(又一次吹捧了.NET一番),里面封装了几乎所有我们可以想到的和我们没有想到的类,流是读取文件的一般手段,那么你真的会用它读 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaVkwM.html" rel="bookmark" class="title">&lbrack;VBS&rsqb;转换二进制数据为字符串常用办法</a>
					<div>
						二进制|数据|转换|字符串 至少有三种以上办法,可以把二进制数据(比如您从ASP的Request.BinaryRead方法得到的数据)转换为字符串. 第一种:使用VBS的MultiByte 方法 实例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j2B3b.html" rel="bookmark" class="title">需求工程概述</a>
					<div>
						软件需求是指用户对目标软件系统在功能.行为.性能.设计约束等方面的期望.通过对应问题及其环境的理解与分析,为问题涉及的信息.功能及系统行为建立模型,将用户需求精确化.完全化,最终形成需求规格说明,这一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91WPgM.html" rel="bookmark" class="title">Symbian系统的脚本语言</a>
					<div>
						近来,Symbian系统下的脚本语言具有很多潜在的实用性.但到目前为止,只有一种脚本语言是可利用的 - 至少在你想为你的应用程序提供脚本的时候. 据报道,早在一月份的时候,诺基亚的副总Lee Epti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7LOmM.html" rel="bookmark" class="title">BCB编程经验几则</a>
					<div>
						问:怎么实现TRichEdit的自动滚行?象某些阅读器那样的功能. 答:用ScrollWindowEx或者ScrollWindowEx就可以了. ScrollWindow(RichEdit1- &gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2Qodb.html" rel="bookmark" class="title">mysql导入sql文件报错 ERROR 2013 2006 2002</a>
					<div>
						  今天导入sql总是提示错误 代码如下: ERROR 2013 (HY000): Lost connection to MySQL server during query ERROR 2006 (H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8lVvp.html" rel="bookmark" class="title">英文网页安全字体列表</a>
					<div>
						  这是一份国外网页设计常用英文字体(安全字体)列表,供参考: font-family: Arial, Helvetica, sans-serif; font-family: 'Arial Black ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBAOOz.html" rel="bookmark" class="title">狙击精英v2分辨率黑屏解决方法</a>
					<div>
						存档系统:WIN7 64 SP1 1.首先 找到自己的存档目录. 第一次玩的没有存档.(注意区分试玩存档) 2.把SniperV2.RAR里的文件 解压缩到C:Users你的用户名AppDataLoc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJnAOp.html" rel="bookmark" class="title">如何快速提升Mac运行速度</a>
					<div>
						  1.检查系统升级 Mac运行速度变慢的一个原因有可能是系统本身的bug或缺陷,系统升级则可以对这些问题进行修复,因此,用户应该定期检查是否有新的升级信息并及时更新. 2.关闭不在使用的应用程序 应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0W6Ajb.html" rel="bookmark" class="title">电脑蓝牙图标不见了的解决方法适用win7&sol;win8</a>
					<div>
						  有时我们会遇到蓝牙无法使用,桌面右下角蓝牙图标不见了,右击&quot;计算机&quot;,设备管理器里压根就看不到传说中的蓝牙模块,附件里也没有蓝牙.针对这种情况,小编通过在win7/win8系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oaQgb.html" rel="bookmark" class="title">win7电脑中如何禁用USB设备？</a>
					<div>
						  以前在办公室上班的时候,很多人都喜欢拿着东西到我这里来打印,最开始的时候是碍于面子不好意思拒绝,但是后来这种事情就变成了一种习惯的,导致有时候我自己的工作都无法按时完成了,于是我就在win7系统中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYmxWb.html" rel="bookmark" class="title">AutoCAD 2007安装错误提示1308怎么办</a>
					<div>
						    1.返回桌面位置,在桌面找到一个空白处,点击鼠标右键,在出现的下滑菜单中,选择新建-文本文档;   2.在电脑桌面新建一个空白的记事本文档了,双击打开该记事本文档,然后将其另存为dfst.dl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkOrnb.html" rel="bookmark" class="title">Win7系统运行游戏提示配色方案已更改为Windows 7 Basic分析与解决方法</a>
					<div>
						很多用户的电脑上都会下载安装各种游戏,在打开游戏且准备玩的时候,弹出&quot;windows配色方案已更改提示,以下程序执行了一个操作,该操作需要windows将配色方案暂时更改为windows 7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNojZM.html" rel="bookmark" class="title">360se&period;exe是什么进程？</a>
					<div>
						  一般情况是正常的,每个标签卡一个进程,你多开了几个也就多了几个进程,关闭后那个进程可能会等一会才回关闭,也就是说慢慢的,不是立即关闭.如果关闭浏览器好一会儿后都还存在这些进程,你在资源管理器中右键 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWDmJp.html" rel="bookmark" class="title">任务管理器你看明白了吗</a>
					<div>
						  taskmgr是现在所开的这个任务管理器窗口. RTHDCPL.EXE Realtek是声卡特性设置软件相关程序. ctfmon是输入法进程. SVCHOST.exe有六个是正常的. winlog ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oB6qb.html" rel="bookmark" class="title">使用 ES decorators 构建一致性 API</a>
					<div>
						重用和一致性是程序设计中经久不衰的两个课题.在最新的 ES Proposal 中,「decorators 语法」为此带来了一定的便利,并且,很适合应用于大型的类库中. 装饰模式 提到 decorato ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNLdnz.html" rel="bookmark" class="title">淘宝联盟：10亿分成背后的创新逻辑</a>
					<div>
						马云的&quot;狂&quot;,大抵是从十年前还蜗居在杭州城西自己家中创业时,他的那句&quot;阿里巴巴会成为一家市值50亿美元的知名企业&quot;开始的.而当时针指向2010年4月8日,这位商 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPEnlp.html" rel="bookmark" class="title">C&num;webBrowser实现格式刷功能</a>
					<div>
						问题描述 C#的webBrowser控件怎么实现格式刷功能.C#webBrowser控件有命令模式,可以一项一项分别设置字体.字号.粗体.下划线这些.但是没有一个格式刷的功能.请问有大神做过没.谢谢. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z0WAM.html" rel="bookmark" class="title">cocoapods里的 2&period;1&period;8 是不是没有集成call语音通话啊</a>
					<div>
						问题描述 解决方案 没有sdk.a,只有sdklite.a,所以没有语音电话解决方案二:你的lib文件夹下有几个.a 文件,你的other linker 那里是怎么写的解决方案三:-ObjC那里重新设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8A6Bxz.html" rel="bookmark" class="title">ie 6-IE6&comma;7浏览器兼容性问题</a>
					<div>
						问题描述 IE6,7浏览器兼容性问题 content = &quot;IE=edge,chrome=1&quot;加了这句代码,还要不要考虑ie6,7,8的兼容问题吗? 解决方案 edge使用最新的I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5LVBM.html" rel="bookmark" class="title">再说Oracle Listener动静态注册</a>
					<div>
						监听器Listener是Oracle Client Process和实例远程建立连接关系的必经之路.借助Listener,Client Process可以实现和一个特定的Server Process建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjd5PM.html" rel="bookmark" class="title">黑客学校会员暴涨至百万</a>
					<div>
						几个月便成盗号.攻击高手,第六代黑客多为金钱投入网络犯罪洪流 拿到1000万风险投资 成立于6年前,总部位于北京的黑客基地原本只是一个黑客技术狂热爱好者聚集的论坛,依靠收取寥寥的会员费来维持服务器运转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeWEEb.html" rel="bookmark" class="title">政府安全资讯精选 2017年第十三期 网信办发布《互联网新闻信息服务新技术新应用安全评估管理规定》；Facebook颁布新广告政策，加强内容安全</a>
					<div>
						  [国内政策分析] 网信办发布&lt;互联网新闻信息服务新技术新应用安全评估管理规定&gt; 点击查看原文   概要:网信办发布了针对新闻行业信息技术新应用的安全评估规定,要求根据新闻舆论属性.社会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWJKmM.html" rel="bookmark" class="title">移动信息化安全解决方案VMI、MDM剖析</a>
					<div>
						背景: 在移动互联的浪潮中,手机移动办公凭借其便捷性成为时代的潮流和趋势,但是在实施过程中却面临诸多信息安全问题,让很多企业望而却步.与PC办公相比,其安全威胁主要来自以下几个方面: 首先是网络安全问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12ZWjp.html" rel="bookmark" class="title">2014年中国当代书法名家作品展在京举办</a>
					<div>
						&quot;中华精神· 笔下江山&quot;文银雅集揭幕新闻发布会暨中国当代书法名家作品展在京举办2014年4月18日,由文银艺术和&lt;星*艺术&gt;杂志共同主办&quot;中华精神·笔下江山- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKq5kLp.html" rel="bookmark" class="title">PHP脚本的10个技巧&lpar;1&rpar;&lowbar;php基础</a>
					<div>
						把PHP安装为Apache DSO PHP 经常和Apache Web服务器一道用于Linux/Unix平台.当我们在Apache环境下安装PHP的时候,你有三种安装模式可供选择:静态模块.动态模块( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK9vLM.html" rel="bookmark" class="title">应用程序操作NorFlash示例代码分享&lpar;norflash接口使用方法&rpar;&lowbar;C 语言</a>
					<div>
						复制代码 代码如下: int dealwithnor(){ //    glob_t mtdbuf;    struct mtd_info_user mtd;    struct erase_info ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkqQ2z.html" rel="bookmark" class="title">『jQuery』取指定url格式及分割函数应用&lowbar;jquery</a>
					<div>
						复制代码 代码如下: var arr=location.href.split('/').pop().split('.'); alert(arr[0]); //Parent alert(arr[1]); ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
